# get a base
FROM node:22-bookworm

# place the files into the image
WORKDIR /app
COPY . /app

# Dependencies
RUN apt update
RUN apt install npm -y
RUN npm install http-server

# Expose the port from docker-compose.yml
EXPOSE 4000

# Run the thing
CMD npx http-server /app --port 4000 --cors
